## -*- coding: utf-8 -*-
<%! import mpulsweb.lib.helper.filters as F %>
<%inherit file="main.mako" />
<h1>${_('%s Anmeldung') % h.get_app_title()}</h1>
<div id="waska_form_login">

  % if c.login_failed:
    <div class="form_errors">
      <a name="error_list"><h1>${_('login_input_error')}</h1></a>
      <ul>
        <li>${_('login_input_error_message')}</li>
      </ul>
    </div>
  % endif

  <p>
    <strong>${_('Agency')}: ${h.getKAName()}</strong><br>
    ${_('login_p_insert_pw_and_identifier')}
  </p>

  <form name="login" action="${h.url_for(controller='/auth', action='loginAction')}" 
  accept-charset="UTF-8" method="POST">
    <div class="label">
      <label for="username">${_('login_label_identifier')}</label>
    </div>
    <div class="input">
       <input id="username" type="text" size="20" name="username" maxlength="64">
    </div>
    <div class="clearer"></div>

    <div class="label">
      <label for="password">${_('login_label_pw')}</label>
    </div>
    <div class="input">
      <input type="password" size="20" id="password" name="password">
    </div>
    <div class="clearer"></div>

    ## This additional selection field for choosing the DB to connect to will
    ## be available as soon as there are defined databases in the dblist json
    ## file.
    % if len(h.get_db_selectionlist()) > 0:
    <div class="label">
      <label for="dbname">${_('Agency')}:</label>
    </div>
    <div class="input">
      <select name='dbname' size=1>
      <% dbs = h.get_db_selectionlist() %>
      % for db in h.get_sorted_db_from_selectionlist():
           <option value="${db}">${dbs.get(db).get('label')}</option>
      % endfor
      </select>
    </div>
    % endif
    <div class="clearer"></div>
    <p id="login_btn">
      <input type="submit" value="${_('Login')}" name="authform">
    </p>
  </form>
</div>
