## -*- coding: utf-8 -*- 
<%inherit file="../../main.mako" />
<%def name="buildNavipath()">
	${parent.buildNavipath()}
	<li><a href="${h.url_for(controller='/case')}">${_('cm_np_root')}</a></li>
	<li><a href="#">${_('cm_np_export')}</a></li>
</%def>
<div class="dialog">
<h1><img src="${h.url_for('/images/icons/info/question.png')}" 
         alt="achtung"
         width="48"
         height="48">${c.dialog_title or c.confirm_for}</h1>
<form action="${h.url_for(controller='/case_bundle', action='exportAction')}"
      method="GET">
<% case_bundle = session.get('casebundle') %>
% if case_bundle and len(case_bundle.case_list) > 1 and g.mpuls_config.is_enabled('offline-client', 'enabled'):
<h3>Ausgewählte Fallakten</h3>
    <p>
    <strong>Hinweis:</strong> Sie haben mehr als eine Akte ausgewählt.
    Die so erzeugte Datei kann z.Z. nicht vom Offline-Klienten verarbeitet
    werden. Wenn Sie eine Datei im Offline-Klienten weiterverarbeiten wollen,
    dürfen Sie nur eine Akte auswählen.
    </p>
% endif
<h3>Exportierte Bereiche der Fallakte</h3>
<p>Bitte wählen Sie die zu exportierenden Seiten der Fallakte:</p>
<ul>
% for page in c.pages:
<% name = page.getName() %>
<li>
  <input type="checkbox" name="exportselection" value="${name}" id="${name}">
  <label for="${name}">${page.getDescription()}</label>
</li>
% endfor
</ul>
% if c.allow_logbook_export:
<ul>
  <li>
    <input type="checkbox" name="exportselection" value="logbook" id="logbook">
    <label for="logbook">Tagebuch</label>
  </li>
</ul>
% endif

<h3>Anonymisierung</h3>
<p>
Bitte beachten Sie, dass Sie ggf. personenbezogene Daten exportieren,
wenn Sie diese nicht mit dem Haken 'Daten anoymisiert exportieren' exportieren.
Ihnen obliegt somit die Einhaltung der jeweiligen Datenschutzbestimmungen.
</p>
<p>
  <input type="checkbox" name="exportanonym" id="exportanonym" value="1"> <label for="exportanonym">Daten anonymisiert exportieren<label>
</p>
<input type="hidden" name="exporttype" value="">
<input type="submit" value="${_('Download export')}">
</form>
</div>
