<%!  import mpulsweb.lib.helper.filters as F %>
<%def name="showAppointmentActions(appointment)">
  <a href="${h.url_for(controller='/appointment', action='show', id=appointment.id)}">
    <img src="${h.url_for('/images/icons/open_active_22.png')}" border="0" 
         alt="${_('cm_overview_a_show')}" 
         title="${_('cm_overview_a_show')}"></a>
</%def>

<table class="appointment">
  <tr>
    <th class="date table_header_h">${_('app_overview_tbl_header_date')}</th>
    <th class="title table_header_h">${_('app_overview_tbl_header_desc')}</th>
    <th class="action table_header_h">${_('app_overview_tbl_header_actions')}</th>
  </tr>
  % for appointment in c.globalappointmentlist.getDatasets():
  <tr>
    <td class="date">${h.format_date(appointment.getStartDate())}</td>
    <td class="title">${appointment.title | F.NA}</td>
    <td class="action">
     ${self.showAppointmentActions(appointment)}
    </td>
  </tr>
  <tr>
    <% description = F.shorten(appointment.description, 120) %>
    <td colspan="3" class="description">${description | F.NA}</td>
  </tr>
  % endfor
  % if len(c.globalappointmentlist.getDatasets()) <= 0:
  <tr>
    <td colspan="3">Keine Termine gefunden</td>
  </tr>
  % endif
</table>
