## -*- coding: utf-8 -*-
<%inherit file="/casemanagement/main.mako" />
<%
formular_labels = {'date': 'Datum',
                   'time': 'Uhrzeit',
                   'duration': 'Dauer',
                   'short_notice': 'Nennung Sonstiges' }
%>
<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li><a href="${h.url_for(controller='/case', action='select', id=session.get('case').id, confirmed=1)}">${_('cm_np_select')}</a></li>
  <li><a href="${h.url_for(controller='/logbook', action='index', id=session.get('case').id)}">Tagebuch</a></li>
  <li><a href="#"></a>Eintrag bearbeiten</li>
</%def>
<div id="content_header_small">
  <div id="content_ueberschrift">
     Tagebucheintrag bearbeiten 
  </div>
  <div id="modusfield">
    <div class="actions">
      <ul>
        <li><a href="${h.url_for(controller='/logbook', action='show', id=c.entry.id)}">Zur&uuml;ck zu: Eintrag ansehen</a></li>
      </ul>
    </div>
  </div>
</div>
${self.buildFormErrors(formular_labels)}
<div id="appointment">
  <div id="waska_form">
    <form action="${h.url_for(controller='/logbook', action='editAction')}"
          accept-charset="UTF-8" method="POST">
      <%include file="../logbook/edit_body.mako" />
      <input type="hidden" name="id">
    </form>
  </div>
</div>
