## -*- coding: utf-8 -*-
<%inherit file="../main.mako" />
<%! import mpulsweb.lib.helper.filters as F %>
<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li>
    <a href="${h.url_for(controller='/settings')}">${_('adm_np_root')}</a>
  </li>
  <li>
    <a href="${h.url_for(controller='/settings', action='show')}">${_('adm_np_showsettings')}</a>
  </li>
</%def>

<div id="content_header_small">
  <div id="content_ueberschrift">
    ${_('adm_header_showsettings')}
  </div>
  <div id="modusfield">
    <div class="actions">
      <ul>
	<li>
          <a href="${h.url_for(controller='/settings', action='edit')}"> 
            ${_('adm_actions_link_editsettings')}
          </a>
        </li>
      </ul>
    </div>
  </div>
</div>

<p>${_('adm_con_ss_view_agency')}</p>
<table>
  <tr>
    <td class="label table_header_v table_width_name">
      ${_('adm_form_settings_kaname')}
    </td>
    <td class="table_row_v table_description">${c.agency.getName()| F.NA}
    </td>
  </tr>
  <tr>
    <td class="label table_width_name">
      ${_('adm_form_settings_kaadress')}
    </td>
    <td class="table_description">${c.agency.getAddress()| F.NA}
    </td>
  </tr>
  <tr>
    <td class="label table_header_v">${_('adm_form_settings_fkz')}</td>
    <td class="table_row_v_2 table_header_v">${c.agency.getFKZ()| F.NA}</td>
  </tr>
  <tr>
    <td class="label">${_('adm_form_settings_max_savetime')}</td>
    <td class="">${c.agency.getMaxSavetime()| F.NA}</td>
  </tr>
  <tr>
    <td class="label table_header_v">${_('additional conditions for reminders')}</td>
    <td class="table_row_v">${h.literal(g.mpuls_config.get('case', 'reminderconditiondesc'))}</td>
  </tr>
  <tr>
    <td class="label table_header">${_('adm_form_settings_anontransfer')}</td>
    <td class="table_row_v_2">
      % if c.agency.isAnonTransfer():
        ${_('adm_form_settings_anontransfer_yes')}
      % else:
        ${_('adm_form_settings_anontransfer_no')}
      % endif
    </td>
  </tr>
</table>
