#!/bin/bash

SCRIPT=$1
FKZ=$2
DBNAME=ka_${FKZ}_db
PORT=${3:-5432}

echo "Upgrading Database ${DBNAME} on Port ${PORT}"

psql -p $PORT -d $DBNAME <<EOF
\set cm_group 'ka_${FKZ}_cm'
\set pb_group 'ka_${FKZ}_pb'
\set admin_group 'ka_${FKZ}_admin'
\set db_adm 'ka_${FKZ}_adm'
\set adm_ka_owner 'ka_${FKZ}_adm'
\set db_name 'ka_${FKZ}_db'
\i $SCRIPT 
EOF
exit 0
