## -*- coding: utf-8 -*-

<fieldset class="${not c.show_wiedervorlage and 'inactive' or ''}">
  <legend>Wiederaufnahme nach erfolgreicher Reintegration<a target="_blank" href="/annotations/help/wiederaufnahme"><img alt="Hilfesymbol" src="/images/icons/form_help.png" border="0"></a></legend>
  % if c.show_wiedervorlage:
    <strong>Wiederaufnahme der/des Jugendlichen für 3 Monate</strong>
    <table class="${c.num_wiederaufnahme >= 1 and 'inactive' or ''}">
      <tr>
        <td class="label">
          <label for="cm_wiederauf_genehm_1">
            Status
          </label>
        </td>
        <td class="field">
          <select name="cm_wiederauf_genehm_1" ${c.num_wiederaufnahme >= 1 and 'disabled' or ''}>
              <option value="1">Wiederaufnahme genehmigt</option>
              <option value="0">Wiederaufnahme abgelehnt</option>
          </select>
        </td>
        <td><form:error name="cm_wiederauf_genehm_1"/></td>
      </tr>
      <tr>
        <td class="label">
          <label for="cm_wiederauf_genehm_datum_1">
            Genehmigt ab
          </label>
        </td>
        <td class="field">
          <input type="hidden" name="datum_cm_ende" value="">
          % if c.num_wiederaufnahme >= 1:
            <input type="text" name="cm_wiederauf_genehm_datum_1" id="cm_wiederauf_genehm_datum_1" value="" onchange="setModification();" readonly="readonly" class="disabled">
          % else:
            <input type="text" name="cm_wiederauf_genehm_datum_1" id="cm_wiederauf_genehm_datum_1" value="" onchange="setModification();">
          % endif
        </td>
        <td><form:error name="cm_wiederauf_genehm_datum_1"/></td>
      </tr>
      <tr>
        <td class="label">
          <label for="cm_wiederauf_datum_bis_1">
            Genehmigt bis
          </label>
        </td>
        <td class="field">
          % if c.num_wiederaufnahme >= 1:
            <input type="text" name="cm_wiederauf_datum_bis_1" id="cm_wiederauf_datum_bis_1" value="" onchange="setModification();" readonly="readonly" class="disabled">
          % else:
            <input type="text" name="cm_wiederauf_datum_bis_1" id="cm_wiederauf_datum_bis_1" value="" onchange="setModification();">
          % endif
        </td>
        <td><form:error name="cm_wiederauf_datum_bis_1"/></td>
      </tr>
      <tr>
        <td class="label">
          <label for="anmerkungen_1">
            Begründung Wiederaufnahme 
          </label>
        </td>
        <td class="field">
          % if c.num_wiederaufnahme >= 1:
            <textarea class="" name="cm2c_t" id="anmerkungen_1" rows="3" cols="80"  onchange="setModification();"></textarea>
          % else:
            <textarea class="" name="cm2c_t" id="anmerkungen_1" rows="3" cols="80"  onchange="setModification();"></textarea>
          % endif
        </td>
        <td><form:error name="cm2c_t"/></td>
      </tr>
    </table>
    % if c.num_wiederaufnahme >= 1:
    <strong>Verlängerung der Wiederaufnahme der/des Jugendlichen für weitere 3 Monate</strong>
    <table>
      <tr>
        <td class="label">
          <label for="cm_wiederauf_genehm_2">
            Status
          </label>
        </td>
        <td class="field">
          <select name="cm_wiederauf_genehm_2" id="cm_wiederauf_genehm_2">
              <option value="1">Wiederaufnahme genehmigt</option>
              <option value="0">Wiederaufnahme abgelehnt</option>
          </select>
        </td>
        <td></td>
      </tr>
      <tr>
        <td class="label">
          <label for="cm_wiederauf_datum_bis_2">
            Genehmigt bis
          </label>
        </td>
        <td class="field">
          <input type="text" name="cm_wiederauf_datum_bis_2" id="cm_wiederauf_datum_bis_2" value="" onchange="setModification();" readonly="readonly" class="disabled">
        </td>
        <td></td>
      </tr>
      <tr>
        <td class="label">
          <label for="anmerkungen_2">
            Begründung Wiederaufnahme 
          </label>
        </td>
        <td class="field">
          <textarea class="" name="cm2c_t2" id="anmerkungen_2" rows="3" cols="80"  onchange="setModification();" ></textarea>
        </td>
        <td><form:error name="cm2c_t2"/></td>
      </tr>
    </table>
    %endif
    <input type="submit" name="wiederaufnahme" value="Ausführen" ${h.hasRole(['admin']) and 'disabled' or ''}>
  %else:
    % if c.num_verlaengerung > 0:
      Eine Wiederaufnahme ist aufgrund einer bereits erfolgten Verlängerung nicht möglich.
    % elif c.wiederaufn_abg:
      Eine Wiederaufnahme ist aufgrund einer abgelehnten Wiederaufnahme nicht möglich.
    % elif c.num_wiederaufnahme == 1 and c.phase in (3,4,5):
      Eine Wiederaufnahmen ist nicht möglich, da der Fall nach der ersten Wiederaufnahme bereits beendet wurde.
    % elif c.num_wiederaufnahme > 1:
      Die maximale Anzahl von Wiederaufnahmen wurde erreicht! 
    % elif not erfolgreiche_reintegration:
      Eine Wiederaufnahme ist derzeit nicht möglich, da der Fall nicht mit einer erfolgreichen Reintegration beendet wurde.
    % elif not c.is_anonymizable:
      Eine Wiederaufnahme ist nicht möglich, da sich der Fall aufgrund von fehlenden Pflichtfeldern nicht in einem anonymisierbaren Zustand befindet.
    % else:
      Eine Wiederaufnahme ist derzeit nicht möglich. 
    % endif
  %endif
</fieldset>
