<%inherit file="../main.mako" />
<%!  import mpulsweb.lib.helper.filters as F %>
<%
  formular_labels = {'firstname'  : 'adm_form_user_firstname',
                      'lastname'  : 'adm_form_user_lastname',
                      'login'     : 'adm_form_user_login',
                      'passwd'    : 'adm_form_newuser_passwd',
                      'passwd2'   : 'adm_form_newuser_passwd_confirm'
                      }
%>
<%def name="buildNavipath()">
		${parent.buildNavipath()}
	<li><a href="${h.url_for(controller='/administration')}">${_('adm_np_root')}</a></li>
	<li><a href="${h.url_for(controller='/administration', action='overviewUser')}">${_('adm_np_overview')}</a></li>
        <li><a href="${h.url_for(controller='/administration', action='showUser', id=c.uo.id)}">${_('adm_np_showuser')}</a></li>
	<li><a href="${h.url_for(controller='/administration', action='editUser')}">${_('adm_np_edituser')}</a></li>
</%def>
<div id="content_header_small">
  <div id="content_ueberschrift">
${_('adm_header_edituser')}
  </div>
  <div id="modusfield">
    <div class="actions">
	<ul>
		<li> <a href="${h.url_for(controller='/administration', action='resetUserPassword', id=c.uo.id)}"> ${_('adm_actions_link_userpassreset')}</a> </li>
		<li> <a href="${h.url_for(controller='/administration', action='showUser', id=c.uo.id)}">  ${_('menu_adm_link_useredit_back')} </a></li>
	</ul>
    </div>
  </div>
</div>
${self.buildFormErrors(formular_labels)}
<div id="admin_edit_user">
<div id="waska_form">
<form action="${h.url_for(controller='/administration', action='editUserAction')}"
      method="POST">

	<fieldset>
        
        <legend>${_('adm_form_legend_personal')}</legend>
        
        <table>
            <tr>
                <td>
                    % if c.form_errors.get('firstname'): 
                    <label for="firstname" class="error_font">${_('adm_form_user_firstname')}</label><br>
                    <input type="text" class="field error_box" id="firstname" name="firstname" value="${c.form_result.get('firstname', c.uo.first_name)}" maxlength="64">
                    % else:
                    <label for="firstname">${_('adm_form_user_firstname')}</label><br>
                    <input type="text" class="field" id="firstname" name="firstname" value="${c.form_result.get('firstname', c.uo.first_name)}" maxlength="64">
                    % endif
                </td>
                
                <td>
                    % if c.form_errors.get('lastname'): 
                    <label for="lastname" class="error_font">${_('adm_form_user_lastname')}</label><br>
                    <input type="text" class="field error_box" id="lastname" name="lastname" value="${c.form_result.get('lastname', c.uo.last_name)}" maxlength="64">
                    % else:
                    <label for="lastname">${_('adm_form_user_lastname')}</label><br>
                    <input type="text" class="field" id="lastname" name="lastname" value="${c.form_result.get('lastname', c.uo.last_name)}" maxlength="64">
                    % endif
                </td>
            </tr>
            
            <tr>
                <td>
                    <label for="telephone">${_('adm_form_user_telephone')}</label><br>
                    <input type="text" class="field" id="telephone" name="telephone" value="${c.form_result.get('telephone', c.uo.telephone)}" maxlength="32">
                </td>
                <td>
                    <label for="room">${_('adm_form_user_roomnumer')}</label><br>
                    <input type="text" class="field" id="room" name="room" value="${c.form_result.get('room', c.uo.room)}" maxlength="16">
                </td>
            </tr>
            <tr>
                <td>
                    <label for="branchoffice">${_('adm_form_user_branchoffice')}</label><br>
                    <input type="text" class="field" id="branchoffice" name="branchoffice" value="${c.form_result.get('branchoffice', c.uo.branchoffice)}" maxlength="64">
                </td>
                <td></td>
            </tr>
        </table>
        

	</fieldset>
	<fieldset><legend>${_('adm_form_legend_login')}</legend>
          <table>
            <tr>
              <td class="label table_header_v table_width_mid_s">Anmeldekennung</td>
              <td class="table_row_v">${c.uo.getLogin()}</td>
            </tr>
            <tr>
              <td class="label">Rolle</td>
              <td class="table_row_v_2">${c.uo.getRole()}</td>
            </tr>
          </table>
        </fieldset>
	<div class="waska_form_element w100">
        % if c.uo.isActivated():
          <input type="checkbox" checked  name="activated" id="activated">
        % else:
          <input type="checkbox" name="activated" id="activated">
        % endif
        <label for="activated">${_('adm_form_user_activated')}</label>
	</div>
	<div class="waska_form_element w100">
        % if c.uo.needsNewPass():
          <input type="checkbox" checked name="newpass" id="newpass">
        % else:
          <input type="checkbox" name="newpass" id="newpass">
        % endif
        <label for="newpass">${_('adm_form_user_newpass')}</label>
	</div>
        <div id="admin_edit_user_submit" class="waska_form_element w100">
	  <input type="submit" value="${_('adm_form_user_submit')}">
        </div>
        <input type="hidden" value="${c.form_errors.get('uid', c.uo.id)| F.NA}" name="uid">
</form>
</div>
</div>
