## -*- coding: utf-8 -*-
<%inherit file="../main.mako" />
<%!  import mpulsweb.lib.helper.filters as F %>
<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li><a href="${h.url_for(controller='/administration')}">${_('adm_np_root')}</a></li>
  <li><a href="${h.url_for(controller='/administration', action='overviewUser')}">${_('adm_np_overview')}</a></li>
</%def>


<div id="content_header_small">
  <div id="content_ueberschrift">
 ${_('adm_header_overview')}
  </div>
  <div id="modusfield">
    <div class="actions">
      <ul>
        <li><a href="${h.url_for(controller='/administration', action='newUser')}"> ${_('adm_actions_link_newuser')}</a></li>
      </ul>
    </div>
  </div>
</div>
<table class="hovertable">
  <tr>
    <th class="table_header_h table_width_mid">${_('adm_overview_tbl_header_lastname')}</th>
    <th class="table_header_h table_width_mid">${_('adm_overview_tbl_header_firstname')}</th>
    <th class="table_header_h table_width_mid_s">${_('adm_overview_tbl_header_role')}</th>
    <th class="table_header_h table_width_mid_s">${_('adm_overview_tbl_header_actions')}</th>
  </tr>
  <% idset = 0 %>
  % for user in c.user_overview:
    % if user.login != 'adm':
      % if idset==0:
       <tr>
       <% idset = 1 %>
       % else:
       <tr class="table_row_h">
       <% idset = 0 %>
       % endif
         <td><a href="${h.url_for(controller='/administration', action='showUser', id=user.id)}">${user.last_name| F.NA}</a></td>
         <td><a href="${h.url_for(controller='/administration', action='showUser', id=user.id)}">${user.first_name| F.NA}</a></td>
         % if user.getRole() == 'Admin':
         <td><img src="${h.url_for('/images/icons/admin_grey_tag.gif')}" alt="${_('Role Administrator')}" title="${_('Role Administrator')}"></td>
         % else:
           <td><img src="${h.url_for('/images/icons/cm_grey_tag_width.gif')}" alt="${_('Role Case Manager')}" title="${_('Role Case Manager')}"></td>
         % endif
         <td>
           <a href="${h.url_for(controller='/administration', action='showUser', id=user.id)}"><img src="${h.url_for('/images/icons/open_active_22.png')}" border="0" alt="${_('cm_overview_a_show')}" title="${_('cm_overview_a_show')}"></a>
           % if str(user.id) != str(session.get('USER_AUTHORIZED').id):
            <a href="${h.url_for(controller='/administration', action='deleteUser', id=user.id)}"><img src="${h.url_for('/images/icons/delete_active_22.png')}" border="0" alt="${_('cm_overview_a_delete')}" title="${_('cm_overview_a_delete')}"></a>
           % endif
         </td>
       </tr>
    % endif
  % endfor
</table>
