## -*- coding: utf-8 -*-
<%! import mpulsweb.lib.helper.filters as F %>
<%inherit file="../main.mako" />
<div id="content_header_small">
  <div id="content_ueberschrift">
    ${_('start_header_blackboard')}
  </div>
</div>
% if (h.getLogin() == 'adm'): 
  <div id="adm_beta">
    <p>${_('You reside in the central administration')}</p><br>
    <p>${_('Under the menu item "User" you can')}.</p>
    <ul>
      <li>${_('Create new user')}</li>
      <li>${_('Organise already existing user')}</li>
    </ul>
    <p>${_('Under the menu item "Agency" you can')}:</p>
    <ul>
      <li>${_('Configure the name and other settings of the agency')}</li>
      <li>${_('Activate the transmission of anonymised cases')}</li>
    </ul>
  </div>
% else:
  ## NEWS 
  % if g.mpuls_config.is_enabled('module', 'news'):
    % if c.news.getList():
      <div class="news">
        <h2>${_('Current information')}</h2>
        <%include file="/news/newslist.mako"/>
      </div>
    % endif
  % endif
  ## APPOINTMENTS
  ## Reminders
  % if g.mpuls_config.is_enabled('case-module', 'reminders'):
    <h2>${_('Automatic reminders')}</h2>
    <%include file="/home/remindlist.mako"/>
  % endif 
  ## Case 
  % if g.mpuls_config.is_enabled('case-module', 'appointments') and h.hasRole(['cm']):
    <h2>${_('Own appointments')}</h2>
    <%include file="/home/caseappointmentlist.mako"/>
  % endif
  ## Global
  % if g.mpuls_config.is_enabled('module', 'appointments'):
    <h2>${_('Agency-wide appointments')}</h2>
    <%include file="/home/globalappointmentlist.mako"/>
  % endif
% endif
