## -*- coding: utf-8 -*-

<fieldset class="${not c.show_neuaufnahme and 'inactive' or ''}">
  <legend>Neuaufnahme nach sonstiger Beendigung<a target="_blank" href="/annotations/help/neuaufnahme"><img alt="Hilfesymbol" src="/images/icons/form_help.png" border="0"></a></legend>
  % if c.show_neuaufnahme:
    <table>
      <tr>
        <td class="label">
          <label for="cm_wiederauf_genehm_1">
            Status
          </label>
        </td>
        <td class="field">
          <select name="cm_neuauf_genehm">
              <option value="1">Neuaufnahme genehmigt</option>
              <option value="0">Neuaufnahme abgelehnt</option>
          </select>
        </td>
        <td><form:error name="cm_neuauf_genehm"/></td>
      </tr>
      <tr>
        <td class="label">
          <label for="anmerkungen_1">
            Begründung für die Neuaufnahme 
          </label>
        </td>
        <td class="field">
          <textarea class="" name="cm2c_t" id="anmerkungen_1" rows="3" cols="80"  onchange="setModification();"></textarea>
        </td>
        <td><form:error name="cm2c_t"/></td>
      </tr>
    </table>
    <input type="submit" name="neuaufnahme" value="Ausführen" ${h.hasRole(['admin']) and 'disabled' or ''}>
  %else:
    % if c.num_verlaengerung > 0:
      Eine Neuaufnahme ist aufgrund einer bereits erfolgten Verlängerung nicht möglich.
    % elif c.wiederaufn_abg:
      Eine Neuaufnahme ist aufgrund einer abgelehnten Wiederaufnahme nicht möglich.
    % elif c.cm_neuauf_genehm in (0,1):
      Für diesen Fall wurde bereits eine Neuaufnahme dokumentiert! 
    % elif c.num_wiederaufnahme >= 1:
      Eine Neuaufnahme ist nicht möglich, da bereits eine Wiederaufnahme für den Fall durchgeführt wurde.
    % elif not sonstige_beendigung:
      Eine Neuaufnahme ist nicht möglich, da der Fall nicht mit einer sonstigen Beendigung beendet wurde.
    % elif not c.is_anonymizable:
      Eine Neuaufnahme ist nicht möglich, da sich der Fall aufgrund von fehlenden Pflichtfeldern nicht in einem anonymisierbaren Zustand befindet.
    % else:
      Eine Neuaufnahme ist derzeit nicht möglich. 
    % endif
  %endif
</fieldset>
