## -*- coding: utf-8 -*-
<%inherit file="/casemanagement/main.mako" />
<%!  import mpulsweb.lib.helper.filters as F %>
<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li><a href="${h.url_for(controller='/case', action='select', id=session.get('case').id, confirmed=1)}">${_('cm_np_select')}</a></li>
  <li><a href="${h.url_for(controller='/privacy', action='listStatements')}">${_('statement_np_list_statements')}</a></li>
</%def>
<h1>${_('Avaliable statements')}</h1>
<div class="widget container">

<h2>1. Einwilligungserklärung für die Erfassung, Verarbeitung und Nutzung personenbezogener Daten</h2>
<p>
Diese Einwilligungserklärung ist die Grundlage zur Erfassung und Speicherung
von personenbezogenen Daten. Die Einwilligungserklärung beinhaltet eine
Aufbewahrungsfrist, die für jede Einrichtung einstellbar ist. Abgeschlossene
Fallakten werden nach Ablauf der Frist automatisch zur Anonymisierung vorgeschlagen.
</p>
<p> Deutsch:
  <a href="${h.url_for(controller='/privacy', action='printStatement', id=session.get('case').id)}" target="_blank">
    Einwilligung drucken
  </a>
</p>

Als PDF-Version verfügbare Einwilligungserklärungen zum
handschriftlichen Ausfüllen:
<table>
<tr>
    <td class="table_row_h">
    Arabisch <a href="/documents/ee_ar.pdf">download</a>
    </td>
    <td class="table_row_h">
    Englisch <a href="/documents/ee_en.pdf">download</a>
    </td>
</tr>
<tr>
    <td>Polnisch <a href="/documents/ee_pl.pdf">download</a></td>
    <td>Russisch <a href="/documents/ee_ru.pdf">download</a></td>
</tr>
<tr>
    <td class="table_row_h">
    Türkisch <a href="/documents/ee_tr.pdf">download</a>
    </td>
    <td class="table_row_h">
    Deutsch
    (Einwilligungserklärung ohne Hinweise zu Teilnehmernachweisen)
    <a href="/documents/ee_de_ohnetn.pdf">download</a>
    </td>
</tr>
</table>



</div>

<div class="widget container">
<h2>2. Einwilligungserklärung zur Übermittlung von personenbezogenen Daten an die Einrichtung</h2>

<p>Erklärung zur Schweigepflichtsentbindung von Vertrauenspersonen mit
Schweigepflicht gemäß § 203 StGB gegenüber der Einrichtung. </p>

<p> Deutsch:
  <a href="${h.url_for(controller='/privacy', action='printDiscretionStatement', id=session.get('case').id)}" target="_blank">
    Einwilligung drucken
  </a>
</p>
</div>
